GWT 2.7.0

## com.google.gwt.event.dom.client
Class DragEndEvent

    java.lang.Object
      com.google.web.bindery.event.shared.Event<H>
          com.google.gwt.event.shared.GwtEvent<H>
              com.google.gwt.event.dom.client.DomEvent<H>
                  com.google.gwt.event.dom.client.DragDropEventBase<DragEndHandler>
                      com.google.gwt.event.dom.client.DragEndEvent

All Implemented Interfaces:
  HasNativeEvent

    public class DragEndEvent

extends DragDropEventBase<DragEndHandler>

Represents a native drag end event.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.event.dom.client.DragDropEventBase
`DragDropEventBase.DragSupportDetector, DragDropEventBase.DragSupportDetectorNo`

Nested classes/interfaces inherited from class com.google.gwt.event.dom.client.DomEvent
`DomEvent.Type<H extends EventHandler>`

Constructor Summary
`protected` | `DragEndEvent()` Protected constructor, use `DomEvent.fireNativeEvent(com.google.gwt.dom.client.NativeEvent, com.google.gwt.event.shared.HasHandlers)` or `DomEvent.fireNativeEvent(com.google.gwt.dom.client.NativeEvent, com.google.gwt.event.shared.HasHandlers, com.google.gwt.dom.client.Element)` to fire drag end events.

Method Summary
`protected void` | `dispatch(DragEndHandler handler)` Should only be called by `HandlerManager`.
`DomEvent.Type<DragEndHandler>` | `getAssociatedType()` Returns the `Event.Type` used to register this event, allowing an `EventBus` to find handlers of the appropriate class.
`static DomEvent.Type<DragEndHandler>` | `getType()` Gets the event type associated with drag end events.

Methods inherited from class com.google.gwt.event.dom.client.DragDropEventBase
`getData, getDataTransfer, isSupported, setData`

Methods inherited from class com.google.gwt.event.dom.client.DomEvent
`fireNativeEvent, fireNativeEvent, getNativeEvent, getRelativeElement, init, preventDefault, setNativeEvent, setRelativeElement, stopPropagation`

Methods inherited from class com.google.gwt.event.shared.GwtEvent
`assertLive, getSource, isLive, kill, revive`

Methods inherited from class com.google.web.bindery.event.shared.Event
`setSource, toDebugString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DragEndEvent

    protected DragEndEvent()

  Protected constructor, use `DomEvent.fireNativeEvent(com.google.gwt.dom.client.NativeEvent, com.google.gwt.event.shared.HasHandlers)` or `DomEvent.fireNativeEvent(com.google.gwt.dom.client.NativeEvent, com.google.gwt.event.shared.HasHandlers, com.google.gwt.dom.client.Element)` to fire drag end events.

Method Detail

### getType

    public static DomEvent.Type<DragEndHandler> getType()

  Gets the event type associated with drag end events.

  Returns:
    the handler type

### getAssociatedType

    public final DomEvent.Type<DragEndHandler> getAssociatedType()

  Description copied from class: `Event`
  Returns the `Event.Type` used to register this event, allowing an `EventBus` to find handlers of the appropriate class.

  Specified by:
    `getAssociatedType` in class `DomEvent<DragEndHandler>`
  Returns:
    the type

### dispatch

    protected void dispatch(DragEndHandler handler)

  Description copied from class: `GwtEvent`
  Should only be called by `HandlerManager`. In other words, do not use or call.

  Specified by:
    `dispatch` in class `GwtEvent<DragEndHandler>`
  Parameters:
    `handler` - handler
  See Also:
    `EventBus.dispatchEvent(Event, Object)`

GWT 2.7.0